svn commit: trunk/uClibc: extra/scripts

vda at uclibc.org vda at uclibc.org
Wed May 7 13:03:32 UTC 2008


Author: vda
Date: 2008-05-07 06:03:32 -0700 (Wed, 07 May 2008)
New Revision: 21944

Log:
Split kernel headers installation from "make install_headers".
It is "make install_kernel_headers" now.



Added:
   trunk/uClibc/extra/scripts/install_kernel_headers.sh

Modified:
   trunk/uClibc/Makefile.in
   trunk/uClibc/extra/scripts/install_headers.sh


Changeset:
Modified: trunk/uClibc/Makefile.in
===================================================================
--- trunk/uClibc/Makefile.in	2008-05-07 12:18:48 UTC (rev 21943)
+++ trunk/uClibc/Makefile.in	2008-05-07 13:03:32 UTC (rev 21944)
@@ -118,6 +118,11 @@
 $(top_builddir)extra/scripts/unifdef: $(top_srcdir)extra/scripts/unifdef.c
 	$(hcompile.u)
 
+# Installs kernel header files (linux/*, asm/*, asm-generic/*).
+install_kernel_headers: headers
+	top_builddir=$(top_builddir) \
+	$(top_srcdir)extra/scripts/install_kernel_headers.sh include $(PREFIX)$(DEVEL_PREFIX)include
+
 # Installs header files.
 install_headers: headers $(top_builddir)extra/scripts/unifdef
 	$(INSTALL) -d $(PREFIX)$(DEVEL_PREFIX)include

Modified: trunk/uClibc/extra/scripts/install_headers.sh
===================================================================
--- trunk/uClibc/extra/scripts/install_headers.sh	2008-05-07 12:18:48 UTC (rev 21943)
+++ trunk/uClibc/extra/scripts/install_headers.sh	2008-05-07 13:03:32 UTC (rev 21944)
@@ -51,45 +51,6 @@
 )
 
 
-# Just copy (no sanitization) some kernel headers.
-eval `grep ^KERNEL_HEADERS "$top_builddir/.config"`
-if ! test "$KERNEL_HEADERS" \
-|| ! test -d "$KERNEL_HEADERS/asm" \
-|| ! test -d "$KERNEL_HEADERS/asm-generic" \
-|| ! test -d "$KERNEL_HEADERS/linux" \
-; then
-	echo "Error: '$KERNEL_HEADERS' is not a directory containing kernel headers."
-	echo "Check KERNEL_HEADERS= in your .config file."
-	exit 1
-fi
-# Do the copying only if src and dst dirs are not the same.
-# Be thorough: do not settle just for textual compare,
-# and guard against "pwd" being handled as shell builtin.
-# Double quoting looks weird, but it works (even bbox ash too).
-if test "`(cd "$KERNEL_HEADERS"; env pwd)`" != "`(cd "$2"; env pwd)`"; then
-	# NB: source or target files and directories may be symlinks,
-	# and for all we know, good reasons.
-	# We must work correctly in these cases. This includes "do not replace
-	# target symlink with real directory" rule. So, no rm -rf here please.
-	mkdir -p "$2/asm"         2>/dev/null
-	mkdir -p "$2/asm-generic" 2>/dev/null
-	mkdir -p "$2/linux"       2>/dev/null
-	# Exists, but is not a dir? That's bad, bail out
-	die_if_not_dir "$2/asm" "$2/asm-generic" "$2/linux"
-	# cp -HL creates regular destination files even if sources are symlinks.
-	# This is intended.
-	# (NB: you need busybox 1.11.x for this. earlier ones are slightly buggy)
-	cp -RHL "$KERNEL_HEADERS/asm"/*         "$2/asm"         || exit 1
-	cp -RHL "$KERNEL_HEADERS/asm-generic"/* "$2/asm-generic" || exit 1
-	cp -RHL "$KERNEL_HEADERS/linux"/*       "$2/linux"       || exit 1
-	if ! test -f "$2/linux/version.h"; then
-		echo "Warning: '$KERNEL_HEADERS/linux/version.h' is not found"
-		echo "in kernel headers directory specified in .config."
-		echo "Some programs won't like that. Consider fixing it by hand."
-	fi
-fi
-
-
 # Fix mode/owner bits
 cd "$2" || exit 1
 chmod -R u=rwX,go=rX . >/dev/null 2>&1

Added: trunk/uClibc/extra/scripts/install_kernel_headers.sh
===================================================================
--- trunk/uClibc/extra/scripts/install_kernel_headers.sh	                        (rev 0)
+++ trunk/uClibc/extra/scripts/install_kernel_headers.sh	2008-05-07 13:03:32 UTC (rev 21944)
@@ -0,0 +1,70 @@
+#!/bin/sh
+# Parameters:
+# $1 = source dir
+# $2 = dst dir
+# $top_builddir = well you guessed it
+
+die_if_not_dir()
+{
+	for dir in "$@"; do
+		test -d "$dir" && continue
+		echo "Error: '$dir' is not a directory"
+		exit 1
+	done
+}
+
+
+# Ensure that created dirs/files have 755/644 perms
+umask 022
+
+
+# Sanity tests
+die_if_not_dir "$1"
+mkdir -p "$2" 2>/dev/null
+die_if_not_dir "$2"
+die_if_not_dir "$top_builddir"
+
+
+# Just copy (no sanitization) some kernel headers.
+eval `grep ^KERNEL_HEADERS "$top_builddir/.config"`
+if ! test "$KERNEL_HEADERS" \
+|| ! test -d "$KERNEL_HEADERS/asm" \
+|| ! test -d "$KERNEL_HEADERS/asm-generic" \
+|| ! test -d "$KERNEL_HEADERS/linux" \
+; then
+	echo "Error: '$KERNEL_HEADERS' is not a directory containing kernel headers."
+	echo "Check KERNEL_HEADERS= in your .config file."
+	exit 1
+fi
+# Do the copying only if src and dst dirs are not the same.
+# Be thorough: do not settle just for textual compare,
+# and guard against "pwd" being handled as shell builtin.
+# Double quoting looks weird, but it works (even bbox ash too).
+if test "`(cd "$KERNEL_HEADERS"; env pwd)`" != "`(cd "$2"; env pwd)`"; then
+	# NB: source or target files and directories may be symlinks,
+	# and for all we know, good reasons.
+	# We must work correctly in these cases. This includes "do not replace
+	# target symlink with real directory" rule. So, no rm -rf here please.
+	mkdir -p "$2/asm"         2>/dev/null
+	mkdir -p "$2/asm-generic" 2>/dev/null
+	mkdir -p "$2/linux"       2>/dev/null
+	# Exists, but is not a dir? That's bad, bail out
+	die_if_not_dir "$2/asm" "$2/asm-generic" "$2/linux"
+	# cp -HL creates regular destination files even if sources are symlinks.
+	# This is intended.
+	# (NB: you need busybox 1.11.x for this. earlier ones are slightly buggy)
+	cp -RHL "$KERNEL_HEADERS/asm"/*         "$2/asm"         || exit 1
+	cp -RHL "$KERNEL_HEADERS/asm-generic"/* "$2/asm-generic" || exit 1
+	cp -RHL "$KERNEL_HEADERS/linux"/*       "$2/linux"       || exit 1
+	if ! test -f "$2/linux/version.h"; then
+		echo "Warning: '$KERNEL_HEADERS/linux/version.h' is not found"
+		echo "in kernel headers directory specified in .config."
+		echo "Some programs won't like that. Consider fixing it by hand."
+	fi
+fi
+
+
+# Fix mode/owner bits
+cd "$2" || exit 1
+chmod -R u=rwX,go=rX . >/dev/null 2>&1
+chown -R `id | sed 's/^uid=\([0-9]*\).*gid=\([0-9]*\).*$/\1:\2/'` . >/dev/null 2>&1


Property changes on: trunk/uClibc/extra/scripts/install_kernel_headers.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the uClibc-cvs mailing list